version: "3.5"
services:
  chatgptbot:
    container_name: chatgptbot
    image: yym68686/chatgpt:latest
    environment:
      - BOT_TOKEN=7908126551:AAE8VhwwfcZ3ru-ecJJo_bMADYADgh1Shzs
      - whitelist=6868680170
      - ADMIN_LIST=6868680170
      - temperature=0.7
      - LANGUAGE=Simplified Chinese
      - PASS_HISTORY=5
      - GOOGLE_AI_API_KEY=AIzaSyBv2JN5aY_OKDI5e1aVEf6uDQli65X9NZM
      - API_URL=https://api.x.ai/v1/chat/completions
      - API=xai-pQCto8hXbSLey5rHjohMZGjqaOlSwgFhofEckr5a7q9wQaJbpAV5xyEVGoq8JbhBoX1QVgUm5GzK2DkG
      - GROQ_API_KEY=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
      - CUSTOM_MODELS=grok-2-latest
      - GPT_ENGINE=grok-2-latest
    volumes:
      - ./user_configs:/home/user_configs
    ports:
      - 3080:8080